# vispy.gloo.util module

vispy.gloo.util.check_enum(enum, name=None, valid=None)

  Get lowercase string representation of enum.

vispy.gloo.util.check_identifier(name)

vispy.gloo.util.check_variable(name)

  Return None if name is expected to be a valid variable name in any GLSL version. Otherwise, return a string describing the problem.

vispy.gloo.util.draw_texture(tex)

  Draw a 2D texture to the current viewport

  Parameters:
    tex instance of Texture2D

      The texture to draw.

previous

vispy.gloo.texture module

next

vispy.gloo.wrappers module